LLVM::DwarfSourceLanguage - Crystal 1.20.1

# enum LLVM::DwarfSourceLanguage

##
Defined in:

llvm/enums.cr

##
Enum Members

C89 = `0`
C = `1`
Ada83 = `2`
C_plus_plus = `3`
Cobol74 = `4`
Cobol85 = `5`
Fortran77 = `6`
Fortran90 = `7`
Pascal83 = `8`
Modula2 = `9`
Java = `10`
C99 = `11`
Ada95 = `12`
Fortran95 = `13`
PLI = `14`
ObjC = `15`
ObjC_plus_plus = `16`
UPC = `17`
D = `18`
Python = `19`
OpenCL = `20`
Go = `21`
Modula3 = `22`
Haskell = `23`
C_plus_plus_03 = `24`
C_plus_plus_11 = `25`
OCaml = `26`
Rust = `27`
C11 = `28`
Swift = `29`
Julia = `30`
Dylan = `31`
C_plus_plus_14 = `32`
Fortran03 = `33`
Fortran08 = `34`
RenderScript = `35`
BLISS = `36`
Kotlin = `37`
Zig = `38`
Crystal = `39`
C_plus_plus_17 = `40`
C_plus_plus_20 = `41`
C17 = `42`
Fortran18 = `43`
Ada2005 = `44`
Ada2012 = `45`
Mips_Assembler = `46`
GOOGLE_RenderScript = `47`
BORLAND_Delphi = `48`

##
Instance Method Summary

- #ada2005?

  Returns `true` if this enum value equals `Ada2005`

- #ada2012?

  Returns `true` if this enum value equals `Ada2012`

- #ada83?

  Returns `true` if this enum value equals `Ada83`

- #ada95?

  Returns `true` if this enum value equals `Ada95`

- #bliss?

  Returns `true` if this enum value equals `BLISS`

- #borland_delphi?

  Returns `true` if this enum value equals `BORLAND_Delphi`

- #c11?

  Returns `true` if this enum value equals `C11`

- #c17?

  Returns `true` if this enum value equals `C17`

- #c89?

  Returns `true` if this enum value equals `C89`

- #c99?

  Returns `true` if this enum value equals `C99`

- #c?

  Returns `true` if this enum value equals `C`

- #c_plus_plus?

  Returns `true` if this enum value equals `C_plus_plus`

- #c_plus_plus_03?

  Returns `true` if this enum value equals `C_plus_plus_03`

- #c_plus_plus_11?

  Returns `true` if this enum value equals `C_plus_plus_11`

- #c_plus_plus_14?

  Returns `true` if this enum value equals `C_plus_plus_14`

- #c_plus_plus_17?

  Returns `true` if this enum value equals `C_plus_plus_17`

- #c_plus_plus_20?

  Returns `true` if this enum value equals `C_plus_plus_20`

- #cobol74?

  Returns `true` if this enum value equals `Cobol74`

- #cobol85?

  Returns `true` if this enum value equals `Cobol85`

- #crystal?

  Returns `true` if this enum value equals `Crystal`

- #d?

  Returns `true` if this enum value equals `D`

- #dylan?

  Returns `true` if this enum value equals `Dylan`

- #fortran03?

  Returns `true` if this enum value equals `Fortran03`

- #fortran08?

  Returns `true` if this enum value equals `Fortran08`

- #fortran18?

  Returns `true` if this enum value equals `Fortran18`

- #fortran77?

  Returns `true` if this enum value equals `Fortran77`

- #fortran90?

  Returns `true` if this enum value equals `Fortran90`

- #fortran95?

  Returns `true` if this enum value equals `Fortran95`

- #go?

  Returns `true` if this enum value equals `Go`

- #google_render_script?

  Returns `true` if this enum value equals `GOOGLE_RenderScript`

- #haskell?

  Returns `true` if this enum value equals `Haskell`

- #java?

  Returns `true` if this enum value equals `Java`

- #julia?

  Returns `true` if this enum value equals `Julia`

- #kotlin?

  Returns `true` if this enum value equals `Kotlin`

- #mips_assembler?

  Returns `true` if this enum value equals `Mips_Assembler`

- #modula2?

  Returns `true` if this enum value equals `Modula2`

- #modula3?

  Returns `true` if this enum value equals `Modula3`

- #o_caml?

  Returns `true` if this enum value equals `OCaml`

- #obj_c?

  Returns `true` if this enum value equals `ObjC`

- #obj_c_plus_plus?

  Returns `true` if this enum value equals `ObjC_plus_plus`

- #open_cl?

  Returns `true` if this enum value equals `OpenCL`

- #pascal83?

  Returns `true` if this enum value equals `Pascal83`

- #pli?

  Returns `true` if this enum value equals `PLI`

- #python?

  Returns `true` if this enum value equals `Python`

- #render_script?

  Returns `true` if this enum value equals `RenderScript`

- #rust?

  Returns `true` if this enum value equals `Rust`

- #swift?

  Returns `true` if this enum value equals `Swift`

- #upc?

  Returns `true` if this enum value equals `UPC`

- #zig?

  Returns `true` if this enum value equals `Zig`

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, |(other : self) : self |, ~ : self ~, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, inspect(io : IO) : Nil inspect, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i128 : Int128 to_i128, to_i128! : Int128 to_i128!, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) : Nil to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u128 : UInt128 to_u128, to_u128! : UInt128 to_u128!, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, value : Int value

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) : self new, parse(string : String) : self parse

### Class methods inherited from struct `Enum`

each(& : self -> ) each, from_value?(value : Int) : self | Nil from_value?, names : Array(String) names, parse?(string : String) : self | Nil parse?, valid?(value : self) : Bool valid?, values : Array(self) values

### Macros inherited from struct `Enum`

[](*values) [], flags(*values) flags

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : Log::Metadata::Value)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io : String | IO, root : String)
from_json(string_or_io : String | IO) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Instance Method Detail

def ada2005? #

Returns `true` if this enum value equals `Ada2005`

def ada2012? #

Returns `true` if this enum value equals `Ada2012`

def ada83? #

Returns `true` if this enum value equals `Ada83`

def ada95? #

Returns `true` if this enum value equals `Ada95`

def bliss? #

Returns `true` if this enum value equals `BLISS`

def borland_delphi? #

Returns `true` if this enum value equals `BORLAND_Delphi`

def c11? #

Returns `true` if this enum value equals `C11`

def c17? #

Returns `true` if this enum value equals `C17`

def c89? #

Returns `true` if this enum value equals `C89`

def c99? #

Returns `true` if this enum value equals `C99`

def c? #

Returns `true` if this enum value equals `C`

def c_plus_plus? #

Returns `true` if this enum value equals `C_plus_plus`

def c_plus_plus_03? #

Returns `true` if this enum value equals `C_plus_plus_03`

def c_plus_plus_11? #

Returns `true` if this enum value equals `C_plus_plus_11`

def c_plus_plus_14? #

Returns `true` if this enum value equals `C_plus_plus_14`

def c_plus_plus_17? #

Returns `true` if this enum value equals `C_plus_plus_17`

def c_plus_plus_20? #

Returns `true` if this enum value equals `C_plus_plus_20`

def cobol74? #

Returns `true` if this enum value equals `Cobol74`

def cobol85? #

Returns `true` if this enum value equals `Cobol85`

def crystal? #

Returns `true` if this enum value equals `Crystal`

def d? #

Returns `true` if this enum value equals `D`

def dylan? #

Returns `true` if this enum value equals `Dylan`

def fortran03? #

Returns `true` if this enum value equals `Fortran03`

def fortran08? #

Returns `true` if this enum value equals `Fortran08`

def fortran18? #

Returns `true` if this enum value equals `Fortran18`

def fortran77? #

Returns `true` if this enum value equals `Fortran77`

def fortran90? #

Returns `true` if this enum value equals `Fortran90`

def fortran95? #

Returns `true` if this enum value equals `Fortran95`

def go? #

Returns `true` if this enum value equals `Go`

def google_render_script? #

Returns `true` if this enum value equals `GOOGLE_RenderScript`

def haskell? #

Returns `true` if this enum value equals `Haskell`

def java? #

Returns `true` if this enum value equals `Java`

def julia? #

Returns `true` if this enum value equals `Julia`

def kotlin? #

Returns `true` if this enum value equals `Kotlin`

def mips_assembler? #

Returns `true` if this enum value equals `Mips_Assembler`

def modula2? #

Returns `true` if this enum value equals `Modula2`

def modula3? #

Returns `true` if this enum value equals `Modula3`

def o_caml? #

Returns `true` if this enum value equals `OCaml`

def obj_c? #

Returns `true` if this enum value equals `ObjC`

def obj_c_plus_plus? #

Returns `true` if this enum value equals `ObjC_plus_plus`

def open_cl? #

Returns `true` if this enum value equals `OpenCL`

def pascal83? #

Returns `true` if this enum value equals `Pascal83`

def pli? #

Returns `true` if this enum value equals `PLI`

def python? #

Returns `true` if this enum value equals `Python`

def render_script? #

Returns `true` if this enum value equals `RenderScript`

def rust? #

Returns `true` if this enum value equals `Rust`

def swift? #

Returns `true` if this enum value equals `Swift`

def upc? #

Returns `true` if this enum value equals `UPC`

def zig? #

Returns `true` if this enum value equals `Zig`